Cannot install PHP7 to AWS EC2 instance?

26
November 16, 2018, at 2:40 PM

I have successfully installed apache 2.4.34 onto my instance but I am unable to install PHP7. I have tried the following:

 sudo yum install php70

But I get the following error:

Loaded plugins: extras_suggestions, langpacks, priorities, update-motd
No package php70 available.
Error: Nothing to do
Answer 1

It could be possible that you are missing the right name. Check what php version is there with the command:

yum search php70

After that you should see a php version name. Copy and paste it to your command like:

yum install <php version name>

Make sure you put the whole php version name and don't forget to restart your apache!!!

Answer 2

apt-get update && apt-get upgrade
apt-get install software-properties-common
add-apt-repository ppa:ondrej/php
apt-get update
apt-get install php<Your desired version>

Confirm it installed by running: php -V

READ ALSO
Javascript &#180;variables to control PHP databank search

Javascript ´variables to control PHP databank search

I currently have an SQL database that I would like to essentially live search by means of JavascriptI'm feeling a bit lost in how to implement the following:

25
Routes conflicts in codeigniter 3

Routes conflicts in codeigniter 3

My defined routes

17
serialized string contains a reference to a class that cannot be instantiated

serialized string contains a reference to a class that cannot be instantiated

"if the serialized string contains a reference to a class that cannot be instantiated (eg

48